Bug 801503 - Remove 32 bit limitation for m1.small and c1.medium instance type
Remove 32 bit limitation for m1.small and c1.medium instance type
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
2.1
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: grid-maint-list
MRG Quality Engineering
: Reopened
Depends On: 802510
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 12:26 EST by Luigi Toscano
Modified: 2016-05-26 16:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.0-2
Doc Type: Bug Fix
Doc Text:
C: Amazon removed some restrictions for types of amis that can run on specific instance types C: The remote configuration tools eased configuration of EC2Enhanced by pre-determining route requirements according to the Amazon guidelines and did not take advantage of the loosen restrictions C: The EC2 Enhanced route requirements are no longer pre-defined in the remote configuration tools, and the user must specify their route requirements R: The remote configuration tools can take advantage of the reduced restrictions on EC2 instance types
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 16:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luigi Toscano 2012-03-08 12:26:15 EST
Description of problem:
Amazon now allows 64-bit instances on m1.small and c1.medium instance type, but condor_configure_pool default configuration forces INTEL (32 bit) instances for these routes.
(see also: http://aws.amazon.com/ec2/instance-types/ )

Please evaluate the best way how to remove this limitation from the default configuration.

Version-Release number of selected component (if applicable):
condor-wallaby-tools-4.1.2-1
Comment 1 Robert Rati 2012-03-23 17:27:46 EDT
The new condor_configure_pool tool is much more free-form when configuring EC2 Enhanced.  The user is still prompted for data, but now the user must specify the route's requirements and the instance type.

Changed on upstream branch:
wallaby-shell-impl
Comment 2 Robert Rati 2012-04-02 10:39:55 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: Amazon removed some restrictions for types of amis that can run on specific instance types
C: The remote configuration tools eased configuration of EC2Enhanced by pre-determining route requirements according to the Amazon guidelines and did not take advantage of the loosen restrictions
C: The EC2 Enhanced route requirements are no longer pre-defined in the remote configuration tools, and the user must specify their route requirements
R: The remote configuration tools can take advantage of the reduced restrictions on EC2 instance types
Comment 11 Anne-Louise Tangring 2016-05-26 16:06:11 EDT
MRG-Grid is in maintenance and only customer escalations will be considered. This issue can be reopened if a customer escalation associated with it occurs.

Note You need to log in before you can comment on or make changes to this bug.